#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: generic-trie
version: 0.3.0.2
id: generic-trie-0.3.0.2-IlZHU0wUIj6D7LXMivHoQc
key: generic-trie-0.3.0.2-IlZHU0wUIj6D7LXMivHoQc
license: BSD3
maintainer: emertens@gmail.com
homepage: http://github.com/glguy/tries
synopsis: A map, where the keys may be complex structured data.
description:
    This type implements maps where the keys are themselves
    complex structured data.  For example, the keys may be
    the abstract syntax trees for a programming language.
    The map is implemented as a trie, so common parts of the
    keys will be shared in the representation.  The library
    provides a generic implementation of the data structure,
    so values of types that have support for '\''Generic'\'' may
    be automatically used as keys in the map.
category: Data
author: Eric Mertens
exposed: True
indefinite: False
exposed-modules:
    Data.GenericTrie Data.GenericTrie.Internal
abi: 93e12a0592603ac26682827341406ca5
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/generic-trie-0.3.0.2
library-dirs: /usr/lib/ghc-8.2.1/site-local/generic-trie-0.3.0.2
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/i386-linux-ghc-8.2.1/generic-trie-0.3.0.2
hs-libraries: HSgeneric-trie-0.3.0.2-IlZHU0wUIj6D7LXMivHoQc
depends:
    base-4.10.0.0 transformers-0.5.2.0 containers-0.5.10.2
abi-depends: base-4.10.0.0=a43b4ec12ad02cbfcdfe91f0942afb0a
             transformers-0.5.2.0=c9bb94e07e5a6cae97f4e7452aafbf8b
             containers-0.5.10.2=e51b78cedb073051e10b1c1314421145
haddock-interfaces: /usr/share/doc/haskell-generic-trie/html/generic-trie.haddock
haddock-html: /usr/share/doc/haskell-generic-trie/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

